-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local hasSentMapData = false
local vehicleID = obj:getID()
local YotaDigiClock = "@YotaDigiClock"

local function onInit()
    --hasSentMapData = false
    --obj:queueGameEngineLua("extensions.loadModule('ui/uinavi')")

    --obj:queueGameEngineLua('be:getObjectByID('..vehicleID..'):createUITexture("'..YotaDigiClock..'", "local://local/vehicles/Celica_Gt_Four/YotaDigiClock.html", 245, 115, UI_TEXTURE_USAGE_AUTOMATIC, 30)')
   
    --obj:queueGameEngineLua("uinavi.requestVehicleDashboardMap('"..YotaDigiClock.."')")
    --hasSentMapData = true
end

local function onReset()
    --local destroy = 'be:getObjectByID('..vehicleID..'):destroyUITexture("'..YotaDigiClock..'")'
    --obj:queueGameEngineLua(destroy)
    onInit()
end

local function updateGFX(dt)
    if hasSentMapData then
        local pos = obj:getPosition()
        local rotation = math.deg(obj:getDirection()) + 180
        local speed = (electrics.values.airspeed or 0) * 3.6
        local zoom = math.min(150 + speed * 1.5, 250)

        obj:queueGameEngineLua("if be:getObjectByID("..vehicleID..") then be:getObjectByID("..vehicleID.."):queueJSUITexture('"..YotaDigiClock.."', 'map.setPosition("..pos.x..", "..pos.y..", "..rotation..")') end")
        obj:queueGameEngineLua("if be:getObjectByID("..vehicleID..") then be:getObjectByID("..vehicleID.."):queueJSUITexture('"..YotaDigiClock.."', 'map.setZoom("..zoom..")') end")

        --obj:queueGameEngineLua("be:getObjectByID("..vehicleID.."):queueJSUITexture('"..gaugesScreenName.."', 'updateData("..math.ceil(speed)..", "..drivetrain.gear..")')")
    end
end

-- public interface
M.onInit    = onInit
M.onReset   = onReset
--M.updateGFX = updateGFX

return M
